metadata:
  name: tiny-container-system-aa-enforcement
  format: "Apertis Test Definition 1.0"
  image-types:
    tiny-lxc: [ armhf, arm64, amd64 ]
  image-deployment:
    - LXC
  type: functional
  exec-type: automated
  priority: medium
  maintainer: "Apertis Project"
  description: "Test that the AppArmor profile for dbus-daemon is loaded in system-wide
                privileged container"

  expected:
    - "Test command should report \"pass\"."

install:
  git-repos:
    - url: https://gitlab.apertis.org/infrastructure/tiny-image-recipes.git
      branch: apertis/v2023dev1

run:
  steps:
    - "# Enter test directory:"
    - cd tiny-image-recipes
    - "# Setup the AppArmor profile for container:"
    - sed s/__NAMESPACE_PLACEHOLDER__/lxc-apertis-tiny-system/g lxc/lxc-tiny-connectivity-profile-template | apparmor_parser -qr
    - "# Check that the AppArmor profile for dbus-daemon in the container is loaded"
    - lavatests/test-aa-enforcement --ospack "$OSPACK" -t lxc/lxc-tiny-connectivity --aa-namespace "lxc-apertis-tiny-system"

parse:
  pattern: "(?P<test_case_id>.*-*):\\s+(?P<result>(pass|fail))"
